Call us: +86 0755-82563503

Currency: $ US Dollar

Items : %s%s

Coaxial Cables

Compare Image Name Manufacturer Pricing(USD) Quantity Weight(Kg) Size(LxWxH) Datasheet Factory Lead Time Mount Packaging Published Series Pbfree Code Part Status Moisture Sensitivity Level (MSL) Connector Type Termination ECCN Code Max Operating Temperature Min Operating Temperature Color Gender Contact Finish - Mating MIL Conformance DIN Conformance IEC Conformance Filter Feature Option Orientation Mating Information Number of Ports Coupling Type Length RoHS Status Flammability Rating Lead Free Contact Material Voltage - Rated Total Number of Contacts Radiation Hardening Package / Case REACH SVHC Reach Compliance Code Impedance Resistance Operating Temperature Voltage - Rated DC Ratings HTS Code Contact Resistance Insulation Resistance Lead Length Subcategory Connector Type A Connector Type B Body Material Reference Standard Insulation Material Reliability Dielectric Withstanding Voltage Durability Feature Polarity Style Cable Length Body Plating Wire/Cable Type Termination Type Polarization Key Operating Frequency-Max Shell Finish Shell Material Max Voltage Rating (AC) VSWR Frequency (Max) 1st Connector 2nd Connector Cable Type Gender Type A Gender Type B
2122-DKF-0012 2122-DKF-0012 Cinch Connectivity Solutions Semflex 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 10 Weeks 2012 DKT Active 1 (Unlimited) 200°C -65°C Grey Male to Male 12.00 304.80mm RoHS Compliant SMA Unknown 50Ohms 50Ohm -65°C~200°C Plug, SMA Plug, SMA Shielded SMA to SMA 304.8mm Coaxial 26GHz SMA Male Plug SMA Male Plug, Right Angle HP 190S Male Male
89761-6135 89761-6135 Molex 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download Cable Black Male to Male 457.2mm RoHS Compliant 50Ohm Plug Shielded Male
U.FL-LP-066J1-A-(1000) U.FL-LP-066J1-A-(1000) Hirose Electric 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 12 Weeks Cable U.FL Active Not Applicable Gray Female to Cable 1 39.4 1.0m 3.3' RoHS Compliant 1 unknown 50Ohm -40°C~90°C 20mOhm 500000000Ohm Other RF Connectors UL POLYBUTYLENE TEREPHTHALATE COMMERCIAL 200VAC V 30 Cycles Shielded U.FL (UMCC) to Cable Coaxial SURFACE MOUNT POLARIZED HOUSING 6GHz SILVER P-CUSN 1.3 6GHz U.FL (UMCC) Plug, Female Socket, Right Angle Cable (Round) 1.32mm OD Coaxial Cable
135100-01-06.00 135100-01-06.00 Amphenol RF 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 10 Weeks Active 1 (Unlimited) Male to Cable 6.000 152.40mm RoHS Compliant 50Ohms SMA to Cable SMA Male Plug Cable (Round) RG-316
095-850-207-006 095-850-207-006 Amphenol RF 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 10 Weeks Active 1 (Unlimited) Female to Male 6.000 152.40mm RoHS Compliant 50Ohms BNC to MMCX 4GHz BNC Female Jack MMCX Male Plug, Right Angle RG-316
115101-05-18.00 115101-05-18.00 Amphenol RF 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 9 Weeks Cable Bulk Active 1 (Unlimited) BNC Crimp Black Male to Male 18.00 457.20mm RoHS Compliant No 75Ohm BNC, Plug BNC, Plug Normal BNC to BNC 457.2mm BNC Male Plug BNC Male Plug RG-179 Male
5263 5263 Olympic Wire and Cable 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
5240R 5240R Olympic Wire and Cable 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
RF174-07SP1-SING-2000 RF174-07SP1-SING-2000 Samtec 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
415-0032-012 415-0032-012 Cinch Connectivity Solutions Johnson 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 8 Weeks Bulk 2002 Active 1 (Unlimited) White Male to Male 12.00 304.80mm RoHS Compliant 250V No SMA 50Ohm 250V Plug, SMA Plug, SMA Shielded Normal SMA to SMA 305mm Coaxial 250V 12.4GHz SMA Male Plug, Right Angle SMA Male Plug, Right Angle RG-316 Male
6242 6242 Olympic Wire and Cable 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
135103-02-36.00 135103-02-36.00 Amphenol RF 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 9 Weeks Bulk Active 1 (Unlimited) Black Male to Male 36.00 914.40mm RoHS Compliant No SMA 50Ohm Plug, SMA Plug, SMA Shielded Normal SMA to SMA 914mm 3GHz SMA Male Plug SMA Male Plug, Right Angle RG-174 Male
4814-K-24 4814-K-24 Pomona Electronics 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download Obsolete Not Applicable Black Male to Male 24.00 609.60mm ROHS3 Compliant Lead Free SMA Plug, SMA Plug, SMA Shielded SMA to SMA SMA Male Plug SMA Male Plug, Right Angle RG-174
95-850-165M125 95-850-165M125 Amphenol RF 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 RoHS Compliant
415-0204-MM200 415-0204-MM200 Cinch Connectivity Solutions Johnson 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 9 Weeks Active 1 (Unlimited) Copper Male to Male 7.874 200.00mm RoHS Compliant SMA to SMA SMA Male Plug SMA Male Plug RG-174
SPC20600 SPC20600 SPC 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
415-0074-006 415-0074-006 Belden Inc. 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
7732A010500 7732A010500 Belden Inc. 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
415-0037-036 415-0037-036 Cinch Connectivity Solutions Johnson 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 8 Weeks Bulk 2002 Active 1 (Unlimited) BNC, SMA White Male to Male 36.00 914.40mm RoHS Compliant No SMA No SVHC 50Ohm 335V Plug, SMA BNC, Plug Shielded Normal BNC to SMA 914.4mm Coaxial 670mV 4GHz BNC Male Plug SMA Male Plug RG-58 Male
RFC-1123 RFC-1123 Quest Technology 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
RFC-1216 RFC-1216 Quest Technology 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
RFC-1111 RFC-1111 Quest Technology 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
MH081-MH1RP-303030-0100 MH081-MH1RP-303030-0100 Samtec 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
1855P0041000 1855P0041000 Belden Inc. 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
095-902-485-024 095-902-485-024 Amphenol RF 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 10 Weeks Active 1 (Unlimited) Male to Male 24.00 609.60mm RoHS Compliant 50Ohms SMA to MMCX 6GHz SMA Male Plug MMCX Male Plug, Right Angle RG-316
PX0416/5M00 PX0416/5M00 Bulgin 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 20 Weeks Cable 2005 Buccaneer® yes Active Not Applicable Pin, Plug, SMB Crimp EAR99 Black Female to Cable NOT SPECIFIED NO NO NO NO GENERAL PURPOSE Straight PX0414 SNAP 196.9 5.0m 16.4' ROHS3 Compliant UL94 V-0 NOT SPECIFIED SMB No SVHC 50Ohm -20°C~80°C IP68 8536.69.40.10 2.5mOhm 1GOhm 5m Plug, SMB, Socket Cable, Free Ends Brass Shielded SMB to Cable 5m Gold Coaxial 4GHz SMB Plug Female Socket Cable (Round) RG-174
CCSMA-MM-RG316DS-24P CCSMA-MM-RG316DS-24P Crystek Corporation 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 7 Weeks Bulk 2014 RG316DS Active 1 (Unlimited) 85°C -55°C Copper Male to Male 24.00 609.60mm ROHS3 Compliant SMA 50Ohms -55°C~85°C Plug, SMA Plug, SMA Shielded Normal SMA to SMA Coaxial SMA Male Plug SMA Male Plug RG-316 DS Male Male
MH113-MH1RP-01BJ2-0090 MH113-MH1RP-01BJ2-0090 Samtec 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
RF179-77SP1-77SP1-0889 RF179-77SP1-77SP1-0889 Samtec 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
4192-12 4192-12 KSM Electronics Inc. 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 6 Weeks 2011 Active Not Applicable White Female to Female 12.00 304.80mm RoHS Compliant Lead Free SMA SMA to FL SMA Female Jack FL Female Jack
Settings Need Help?
Top FAQ's

How can I quickly find answers to my questions?

Please visit the Help & Support area of our website to find information regarding ordering, shipping, delivery and more.

What is my Order Status?

Registered users can track orders from their account dropdown, or click here. *Order Status may take 12 hours to update after initial order is placed.

How do I return product?

Users can begin the returns process by starting with our Returns Page.

How do I find price and availability?

Quotes can be created by registered users in myLists.

How do I create a 'HK JDW' Account?

Visit the Registration Page and enter the required information. You will receive an email confirmation when your registration is complete.

United Kingdom/GBP Summary
Fast Shipping Fast Delivery

Orders are typically delivered to United Kingdom within 48 hours depending on location.

Free Shipping Free Shipping

Free delivery to United Kingdom on orders of £33 or more. A delivery charge of £12 will be billed on all orders less than £33.

Incoterms Incoterms

DDP (Duty and customs paid by HK JDW)

Payment Options Payment Types

Credit account for qualified institutions and businesses

Payment in Advance by Wire Transfer

Visa Mastercard American Express PayPal Apple Pay Google Pay

Marketplace Marketplace Product

More Products From Fully Authorized Partners

Average Time to Ship 1-3 Days, extra ship charges may apply. Please see product page, cart, and checkout for actual ship speed.

Incoterms: CPT (Duty, customs, and applicable VAT/Tax due at time of delivery)

For more information visit Help & Support